Skip to navigation

List boxes

List boxes

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageSizeintegerOptional0-100Defaults to 50
Number of results to return. Defaults to 50, maximum of 100.
nextTokenstringOptional
Token for pagination
sortenumOptionalDefaults to modifiedAt:desc

Method by which to order search results. Valid sorts are barcode, name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.

schemaIdstringOptional
ID of a schema. Restricts results to those of the specified schema.
schemaFieldsmap from strings to anyOptional

Filter based on schema field value (not display value). Restricts results to those with a field whose value matches the filter. For Integer, Float, and Date type fields, supports the >= and <= operators (but not < or >). If any schemaField filters are present, the schemaId param must also be present. Note that all operators must be separated from any values by a single space.

createdAtstringOptional

Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those created in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.

modifiedAtstringOptional

Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.

namestringOptional
Name of a box. Restricts results to those with the specified name.
nameIncludesstringOptional
Name substring of a box. Restricts results to those with names that include the provided substring.
emptyPositionsintegerOptional
Only return boxes that have the specified number of empty positions
emptyPositions.gteintegerOptional

Only return boxes that have greater-than or equal-to the specified number of empty positions.

emptyPositions.gtintegerOptional

Only return boxes that have greater-than the specified number of empty positions.

emptyPositions.lteintegerOptional

Only return boxes that have less-than or equal-to the specified number of empty positions.

emptyPositions.ltintegerOptional

Only return boxes that have less-than the specified number of empty positions.

emptyContainersintegerOptional

Only return boxes that have the specified number of empty containers (containers without contents).

emptyContainers.gteintegerOptional

Only return boxes that have greater-than or equal-to the specified number of empty containers (containers without contents).

emptyContainers.gtintegerOptional

Only return boxes that have greater-than the specified number of empty containers (containers without contents).

emptyContainers.lteintegerOptional

Only return boxes that have less-than or equal-to the specified number of empty containers (containers without contents).

emptyContainers.ltintegerOptional

Only return boxes that have less-than the specified number of empty containers (containers without contents).

ancestorStorageIdstringOptional
ID of a location. Restricts results to those located in the specified inventory.
storageContentsIdstringOptional
ID of a entity, or entity schema. Restricts results to those that hold containers with entities associated with the specified ID.
storageContentsIdsstringOptional

Comma-separated list of IDs of entities. Restricts results to those that hold containers with at least one of the specified entities.

archiveReasonstringOptional

Archive reason. Restricts items to those with the specified archive reason. Use “NOT_ARCHIVED” to filter for unarchived boxes. Use “ANY_ARCHIVED” to filter for archived boxes regardless of reason. Use “ANY_ARCHIVED_OR_NOT_ARCHIVED” to return items for both archived and unarchived.

idsstringOptional

Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.

barcodesstringOptional

Comma-separated list of barcodes. Matches all of the provided barcodes, or returns a 400 error that includes a list of which barcodes are invalid.

names.anyOfstringOptional

Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, case insensitive. Warning - this filter can be non-performant due to case insensitivity.

names.anyOf.caseSensitivestringOptional

Comma-separated list of names. Maximum of 100. Restricts results to those that match any of the specified names, case sensitive.

creatorIdsstringOptional
Comma separated list of users IDs

Response

OK
boxeslist of objectsOptional
nextTokenstringOptional

Errors

400
Bad Request Error